function [I,M]=split_data(X,num_quant,varargin)
% functions [I,M]=split_data(X,numquant):
% splits the data into x quantiles and 
%   I: index function for each data point 
%   M: center of each bin
% v1.0 01/06/06: subset option introduced 
subset=[];
vararginoptions(varargin,{'subset'});
if (~isempty(subset));
    X=X(subset,:);
end;
quant=[0:num_quant-1]./num_quant;
borders=prctile(X,quant*100);
I=zeros(length(X),1);
for i=1:num_quant
    j=find(X>=borders(i));
    I(j,1)=i;
end;
for i=1:num_quant
    j=find(I==i);
    M(j,1)=mean(X(j));
end;
if (~isempty(subset))
    Ia=X*NaN;
    Ia(find(subset))=I;
    I=Ia;
    Ma=X*NaN;
    Ma(find(subset))=M;
    M=Ma;
end;